{%load static%}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>{% block title %}My Receipts{% endblock title%}</title>
    {% comment %} #because we blocked this title, extended base.html, then we
    could make a new title block for the tab in woodworking {% endcomment %}
    <link rel="stylesheet" href="{% static 'css/app.css' %}" />
  </head>
  <body>
    <header>
      <nav>
        <ul>
          {% if user.is_staff%}
          <li>
            <a href="{% url 'admin:index' %}">Admin</a>
          </li>
          {%endif%}
          {% if user.is_authenticated%}
          <li>
            <a href = {% url "logout"%}>Logout</a>
          </li>
          <li>
            <a href = {% url "home"%}>Receipts<a>
          </li>
          <li>
            <a href = {% url "expense_category_list"%}>Expenses<a>
          </li>
          <li>
            <a href = {% url "account_list"%}>Accounts<a>
          </li>
          <li>
            <a href = {% url "expense_create"%}>Create New Expense</a>
          </li>
          <li>
            <a href = {% url "account_create"%}>Create New Account</a>
          </li>
          <li>
            <a href = {% url "receipt_create"%}>Create New Receipt</a>
          </li>
          {%else%}
          <li>
            <a href = {% url "signup"%}>Sign Up</a>
          </li>
          <li>
              <a href = {% url "login"%}>Login</a>
          </li>
          {% endif %}
        </ul>
      </nav>
      {%block pagination%}{% endblock pagination%}
    </header>
    {% block content%}{% endblock content%}
  </body>
</html>
